%global gemname rbovirt

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: A Ruby client for oVirt REST API
Name: rubygem-%{gemname}
Version: 0.0.6
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/abenari/rbovirt
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: ruby
Requires: rubygem(nokogiri)
Requires: rubygem(rest-client)
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems)
BuildRequires: ruby
# Use rspec-core until rspec are not migrated to RSpec 2.x
BuildRequires: rubygem(rspec-core)
BuildRequires: rubygem(nokogiri)
BuildRequires: rubygem(rest-client)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
A Ruby client for oVirt REST API


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

%check
pushd .%{geminstdir}
rspec spec/unit
# Integration tests does not work yet (if ever).
# rspec spec/integration
popd


%files
%dir %{geminstdir}
%doc %{geminstdir}/LICENSE.txt
%exclude %{geminstdir}/.document
%{geminstdir}/lib
%exclude %{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/README.rdoc
%{geminstdir}/VERSION
%{geminstdir}/Gemfile
%{geminstdir}/Rakefile
%{geminstdir}/%{gemname}.gemspec
%{geminstdir}/spec/

%changelog
* Thu Feb 16 2012 Vít Ondruch <vondruch@redhat.com> - 0.0.6-1
- Update to rbovirt 0.0.6.

* Wed Feb 08 2012 Vít Ondruch <vondruch@redhat.com> - 0.0.5-1
- Initial package
